#!/system/bin/sh

SN_FILE=/system/etc/sn
SN_TAG=serial_number

#for save sn
chmod 777 /dev/nand_env

#check file
if [ ! -e ${SN_FILE} ]; then
    touch ${SN_FILE}
    chmod 666 ${SN_FILE}
fi


SERIAL_NUMBER_SRC=`fw_printenv ${SN_TAG} | sed s/^${SN_TAG}=//`
if [ -z ${SERIAL_NUMBER_SRC} ]; then exit -1; fi

SERIAL_NUMBER=`cat ${SN_FILE}`

if [ "X${SERIAL_NUMBER}" != "X${SERIAL_NUMBER_SRC}" ]; then
    echo ${SERIAL_NUMBER_SRC} > ${SN_FILE}
fi
